Get third party transfer info by ID. To receive dynamic updates as the state of the transfer changes, see the webhooks documentation.
Security
UserToken
Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
- Production Environmenthttps://api.wise.com/2026Q4/profiles/{profileId}/third-party-transfers/{transferId}
- Sandbox Environmenthttps://api.wise-sandbox.com/2026Q4/profiles/{profileId}/third-party-transfers/{transferId}
curl -i -X GET \
https://api.wise.com/2026Q4/profiles/123456789/third-party-transfers/16521632 \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'Returns the originator transfer object.
Headers
Echoed back when X-External-Correlation-Id was included in the request. Learn more.
Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
Transfer current status. See Tracking Transfers for all possible statuses.
Example:"cancelled"
Unique identifier randomly generated per transfer request by the calling client
Example:"54a6bc09-cef9-49a8-9041-f1f0c654cd88"
Response
{ "id": 16521632, "originalTransferId": "54a6bc09-cef9-49a8-9041-f1f0c654cd88", "user": 4342275, "targetAccount": 8692237, "sourceAccount": 1527389, "quote": "8fa9be20-ba43-4b15-abbb-9424e1481050", "status": "cancelled", "rate": 0.89, "details": { "reference": "T475890" }, "hasActiveIssues": false, "sourceCurrency": "EUR", "sourceValue": 0, "targetCurrency": "GBP", "targetValue": 150, "originator": { "legalEntityType": "BUSINESS", "name": { "fullName": "John Godspeed" }, "reference": "CST-2991992", "businessRegistrationCode": "83920-546", "businessRegistrationDate": "2020-01-15", "address": { "firstLine": "Salu tee 14", "city": "Tallinn", "stateCode": "", "countryCode": "EE", "postCode": "12112" }, "accountDetails": "23456789" }, "created": "2025-10-29T12:28:16.000Z" }